## GMimeFilterGZip

GMimeFilterGZip — GNU Zip compression/decompression

## Functions

GMimeFilter * | g_mime_filter_gzip_new ()
const char * | g_mime_filter_gzip_get_filename ()
void | g_mime_filter_gzip_set_filename ()
const char * | g_mime_filter_gzip_get_comment ()
void | g_mime_filter_gzip_set_comment ()

## Types and Values

struct | GMimeFilterGZip
enum | GMimeFilterGZipMode

## Object Hierarchy

        GObject
        ╰── GMimeFilter
            ╰── GMimeFilterGZip

## Description

A GMimeFilter used for compressing or decompressing a stream using GNU Zip.

## Functions

### g_mime_filter_gzip_new ()

    GMimeFilter *
    g_mime_filter_gzip_new (GMimeFilterGZipMode mode,
                            int level);

Creates a new gzip (or gunzip) filter.

#### Parameters

mode | zip or unzip |
level | compression level |

#### Returns

a new gzip (or gunzip) filter.

### g_mime_filter_gzip_get_filename ()

    const char *
    g_mime_filter_gzip_get_filename (GMimeFilterGZip *gzip);

Gets the filename that was either previously set or retrieved when decoding a gzip stream.

#### Parameters

gzip | A GMimeFilterGZip filter |

#### Returns

a string containing th ename of the file.

Since: 3.2

### g_mime_filter_gzip_set_filename ()

    void
    g_mime_filter_gzip_set_filename (GMimeFilterGZip *gzip,
                                     const char *filename);

Sets the filename that should be used when generating the gzip header.

#### Parameters

gzip | A GMimeFilterGZip filter |
filename | The name of the file |

Since: 3.2

### g_mime_filter_gzip_get_comment ()

    const char *
    g_mime_filter_gzip_get_comment (GMimeFilterGZip *gzip);

Gets the comment that was either previously set or retrieved when decoding a gzip stream.

#### Parameters

gzip | A GMimeFilterGZip filter |

#### Returns

a string containing the comment.

Since: 3.2

### g_mime_filter_gzip_set_comment ()

    void
    g_mime_filter_gzip_set_comment (GMimeFilterGZip *gzip,
                                    const char *comment);

Sets the comment that should be used when generating the gzip header.

#### Parameters

gzip | A GMimeFilterGZip filter |
comment | The comment |

Since: 3.2

## Types and Values

### struct GMimeFilterGZip

    struct GMimeFilterGZip;

A filter for compresing or decompressing a gzip stream.

#### Members

### enum GMimeFilterGZipMode

The mode for the GMimeFilterGZip filter.

#### Members

GMIME_FILTER_GZIP_MODE_ZIP | Compress (zip) mode. |
GMIME_FILTER_GZIP_MODE_UNZIP | Uncompress (unzip) mode. |

## See Also

GMimeFilter